---
title: CSSMathNegate()
slug: Web/API/CSSMathNegate/CSSMathNegate
tags:
  - API
  - CSS Typed Object Model API
  - CSSMathNegate
  - CSSNumericValue
  - Constructor
  - Experimental
  - Houdini
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</div>

<p class="summary">The <strong><code>CSSMathNegate()</code></strong> constructor creates a new {{domxref("CSSMathNegate")}} object which negates the value passed into it.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CSSMathNegate</var> = new CSSMathNegate(<em>arg</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>arg</dt>
 <dd>A {{domxref('CSSNumericValue')}}.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM')}}</td>
   <td>{{Spec2('CSS Typed OM','#cssmathnegate','CSSMathNegate')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSMathNegate.CSSMathNegate")}}</p>
